Bug 322671 - [PATCH] Python string.format() highlighting of escaped braces
Summary: [PATCH] Python string.format() highlighting of escaped braces
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: syntax (show other bugs)
Version: unspecified
Platform: Other All
: NOR minor (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-22 08:02 UTC by xOneca
Modified: 2013-08-26 08:25 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch for Python syntax file version 2.19 (761 bytes, patch)
2013-07-22 08:06 UTC, xOneca
Details

Note You need to log in before you can comment on or make changes to this bug.
Description xOneca 2013-07-22 08:02:16 UTC
The escaped double-curly-braces ('{{' and '}}') are not highlighted. (Last sentence of second paragraph of http://docs.python.org/2.7/library/string.html#format-string-syntax)

This can be a follow-up of the bug #317097

Reproducible: Always

Steps to Reproduce:
"{{ some random text }}".format()
Actual Results:  
The curly braces are not highlighted. Indeed, it is highlighted as if "{ some random text }" were an actual replacement field.

Expected Results:  
Only the curly braces should be highlighted.

I am using version 2.19 of the Python syntax file. I haven't found any newer version...
Comment 1 xOneca 2013-07-22 08:06:53 UTC
Created attachment 81257 [details]
Patch for Python syntax file version 2.19
Comment 2 Dominik Haumann 2013-08-12 12:09:44 UTC
@Python guys: Can someone of you confirm the fix, especially that it does not introduce new regressions?
Comment 3 Dominik Haumann 2013-08-12 12:11:13 UTC
Is this the same as bug #320813?
Comment 4 Alex Turbov 2013-08-12 12:30:17 UTC
(In reply to comment #3)
> Is this the same as bug #320813?

No, it is not.
Comment 5 Gerald Senarclens de Grancy 2013-08-24 13:25:39 UTC
This fix was committed by Alex Turbov on August 12th, 2013 in http://quickgit.kde.org/?p=kate.git&a=commit&h=05caf8b02fa31aa9249f8678cd4a5b09d0c7cebe

@Alex: if you make sure to have
BUG 322671
on a separate line, bugs are automatically closed when you push.
Comment 6 Alex Turbov 2013-08-24 13:52:34 UTC
(In reply to comment #5)
> @Alex: if you make sure to have
> BUG 322671
> on a separate line, bugs are automatically closed when you push.

huh, I'll try to remember :)
working w/ few bug trackers it is hard to remember exact syntax for that things :)
Comment 7 Dominik Haumann 2013-08-26 07:56:52 UTC
In fact, it only works, if you have "BUG: 322671" on a separate line, i.e. with a colon.
Comment 8 Gerald Senarclens de Grancy 2013-08-26 08:25:17 UTC
@Alex: imho the easiest way to "memorize" this and other related triggers is to configure a commit template for kde/ kate: http://techbase.kde.org/Development/Git/Configuration#Commit_Template
hth